Summary: AGX's Asterisk Extra AddOns
Name: agx-ast-addons
Version: 1.4.24.5
Release: 4%{?dist}
License: GPLv2
Group: Applications/Internet
URL: http://www.misdn.org
#Source0: http://garr.dl.sourceforge.net/sourceforge/agx-ast-addons/%{name}-%{version}.tar.bz2
Source0: %{name}-%{version}-r64.tar.bz2
Patch0: agx-ast-addons-1.4.24.5-fixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: cmake, gcc-c++
BuildRequires: asterisk14-devel >= 1.4.24
BuildRequires: spandsp-devel = 1:0.0.6-15_pre12%{?dist}
BuildRequires: dahdi-linux-devel
BuildRequires: libtiff-devel >= 3.8
BuildConflicts: libtiff-devel >= 4.0
Requires: asterisk14
Obsoletes: asterisk-fax < 1.6

%description
This package contains additional modules for Asterisk which are, for
one reason or another, not included in the normal base distribution.
Many of these modules are experimental or have a GPL license without a
disclaimer that allow digium to insert them into the official
distribution (double licensed).

This work/effort has been sponsored by http://www.mercuriuspbx.it/

Those addons are only for Asterisk 1.4, since 1.6 already include them.
You need the exact spandsp library version as required for the fax
application otherwise it will not work.

%prep
%setup -q
%patch0 -p1 -b .fixes

%build
%cmake .
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README TODO
%{_libdir}/asterisk/modules/*

%changelog
* Thu Aug 13 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.4.24.5-4
- Update to 1.4.24.5.

* Thu Mar 27 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.4.5-3
- Some more fixed requires.

* Sat Mar 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.4.5-2
- Some fixes for x86_64 paths.

* Fri Mar 21 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.4.5-1
- Fixed requires and buildrequires.

* Thu Mar 13 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.4.5-0
- Update to version 1.4.5.

* Fri Dec 14 2007 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.4.3-0
- Initial build.

